Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List git automation target branches

GET/workspaces/{organizationId}/git-automation-target-branches
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Target branches

branchesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
patternstring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/git-automation-target-branches' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "branches": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "pattern": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?